Replace File Chapters
curl --request PUT \
--url https://api.member.dev/api/v1/teams/{team_id}/files/{id}/chapters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"chapters": [
{
"start": 1073741823,
"title": "<string>",
"id": "<string>"
}
]
},
"type": "file_chapters"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/files/{id}/chapters"
payload = { "data": {
"attributes": { "chapters": [
{
"start": 1073741823,
"title": "<string>",
"id": "<string>"
}
] },
"type": "file_chapters"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {chapters: [{start: 1073741823, title: '<string>', id: '<string>'}]},
type: 'file_chapters'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/files/{id}/chapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"position": 123,
"start": 123,
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"end": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
}
],
"included": [
"<unknown>"
],
"links": {
"next": "<string>",
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}media-admin
Replace File Chapters
Atomically replace the authored chapter list for a team-owned file.
PUT
/
api
/
v1
/
teams
/
{team_id}
/
files
/
{id}
/
chapters
Replace File Chapters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
⌘I